summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorperqin2018-03-07 18:44:18 +0800
committerperqin2018-03-07 18:44:18 +0800
commitac3ac3f82be4356ac65a4c1c0bd72559d8226da3 (patch)
treef2cb2db505ae72a16a5c15d8fc509af844a3f108
parent0de21e29d2f20637c3ff049f570142466a0ad185 (diff)
downloadaur-ac3ac3f82be4356ac65a4c1c0bd72559d8226da3.tar.gz
Build with Akkariiin/master branch and upgrade to v2.5.3
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD14
2 files changed, 14 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 464bc467ff2..b691ecf345d 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = shadowsocksrr-libev-git
pkgdesc = A ShadowsocksR fork
- pkgver = 2.5.1.gbc1bbec
- pkgrel = 1
+ pkgver = 2.5.3.r0.gd63ff86
+ pkgrel = 2
url = https://github.com/shadowsocksrr/shadowsocksr-libev
arch = i686
arch = x86_64
@@ -18,7 +18,7 @@ pkgbase = shadowsocksrr-libev-git
optdepends = mbedtls: another choice of SSL/TLS library
options = docs
options = !strip
- source = shadowsocksrr-libev-git::git+https://github.com/shadowsocksrr/shadowsocksr-libev.git#branch=Akkariiin/develop
+ source = shadowsocksrr-libev-git::git+https://github.com/shadowsocksrr/shadowsocksr-libev.git#branch=Akkariiin/master
source = shadowsocksrr-libev-redir@.service
source = shadowsocksrr-libev-server@.service
source = shadowsocksrr-libev-tunnel@.service
diff --git a/PKGBUILD b/PKGBUILD
index 1079ca1326a..2cdb21b7497 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,8 +1,8 @@
# Maintainer: perqin <perqinxie at gmail dot com>
pkgname=shadowsocksrr-libev-git
-pkgver=2.5.1.gbc1bbec
-pkgrel=1
+pkgver=2.5.3.r0.gd63ff86
+pkgrel=2
pkgdesc='A ShadowsocksR fork'
arch=('i686' 'x86_64')
url='https://github.com/shadowsocksrr/shadowsocksr-libev'
@@ -12,7 +12,7 @@ makedepends=('git' 'zlib' 'asciidoc' 'xmlto')
optdepends=('mbedtls: another choice of SSL/TLS library') # choose this or openssl as you wish
options=('docs' '!strip')
source=(
- 'shadowsocksrr-libev-git::git+https://github.com/shadowsocksrr/shadowsocksr-libev.git#branch=Akkariiin/develop'
+ 'shadowsocksrr-libev-git::git+https://github.com/shadowsocksrr/shadowsocksr-libev.git#branch=Akkariiin/master'
shadowsocksrr-libev-redir@.service
shadowsocksrr-libev-server@.service
shadowsocksrr-libev-tunnel@.service
@@ -24,6 +24,14 @@ sha256sums=('SKIP'
'c24d4d16291535015d30b274af466ffabf6cc02e0b7c61c206aa326746cfedc2'
'c4d5f2dc5d4fce9680623de2a665e8f0df9783946162314cc5103d6c1f16d510')
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
build() {
cd "$pkgname"
./configure --prefix=/opt/$pkgname \